# Overview

Thanks for taking an interest in this open source project. Your support and involvement is greatly appreciated. The
following details what you need to know in order to contribute.

# Requirements

- Follow these [Basic Programming Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/basic.md).
- Follow these [Code Review Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/code_reviews.md).
- Follow these [Git Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/git.md).
- Follow these [Bash Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/languages/bash.md).
- Follow these [CSS Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/languages/css.md).
- Follow these [Ruby Styles](https://github.com/bkuhlmann/style_guides/blob/master/programming/languages/ruby/ruby.md).

# Contributing Code

0. Read the project README thoroughly before starting.
0. Fork the master branch of the repository.
0. Ensure there are no setup, usage, and/or test issues (again, follow the README).
0. Add tests for new functionality (refactoring and documentation changes can be excluded).
0. Ensure all tests pass.
0. Push your feature branch and submit a pull request.

# Submitting Issues

0. Submit an issue via the GitHub Issues tab (assuming one does not already exist).
0. Clearly describe the issue (including steps to reproduce).
0. Specify your enviroment setup (OS, browser, language, etc. with version info).
0. Provide a stack dump (if possible).
0. Explain any additional details that might help diagnose the problem quickly.

# Feedback

Expect a response within one to three business days.
Changes, alternatives, and/or improvements might be suggested upon review.
